package com.tencent.ugcupload.demo.utils;


public class Constants {

    public static final String VIDEO_EDITER_PATH         = "key_video_editer_path";
    public static final String VIDEO_SOURCE_PATH         = "key_video_source_path";
    public static final String VIDEO_EDITER_URI          = "key_video_editer_uri_path";
    public static final String DEFAULT_MEDIA_PACK_FOLDER = "txrtmp";
    public static final String PLAYER_DEFAULT_VIDEO      = "play_default_video";
    public static final String PLAYER_VIDEO_ID           = "video_id";
    public static final String PLAYER_VIDEO_NAME         = "video_name";
    public static final int    VOD_APPID                 = 0;
    public static final String VOD_APPKEY                = "";
    public static final String PREFIX_MEDIA_URI          = "content://";
    public static final String SERVER_IP                 = "";
    public static final String ADDRESS_SIG               = SERVER_IP + "/api/v1/misc/upload/signature";
    public static final String ADDRESS_VIDEO_LIST        = SERVER_IP + "/api/v1/resource/videos";
    public static final String ADDRESS_VIDEO_INFO        = SERVER_IP + "/api/v1/resource/videos/#";
    public static final String ADDRESS_VIDEO_REPORT      = SERVER_IP + "/api/v1/resource/videos/"; // /api/v1/resource/videos/#file_id

    public static class RetCode {
        // 服务器返回码
        public static final int CODE_SUCCESS          = 0;               // 接口请求成功
        public static final int CODE_PARAMS_ERR       = 1001;         // 请求参数错误
        public static final int CODE_AUTH_ERR         = 1002;           // 鉴权错误
        public static final int CODE_RES_ERR          = 1003;            // 资源不存在
        public static final int CODE_REQ_TOO_FAST_ERR = 1004;   // 请求频率过快
        public static final int CODE_SERVER_ERR       = 1000;         // 服务器错误
        // 客户端处理码
        public static final int CODE_REQUEST_ERR      = 1;           // 请求错误
        public static final int CODE_PARSE_ERR        = 2;             // 解析json错误

    }
}
